/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-15 at 20:59:33 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.prediction.model;

/**
 * Model definition for Update.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Prediction API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Update extends com.google.api.client.json.GenericJson {

  /**
   * The input features for this instance.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.lang.Object> csvInstance;

  /**
   * The generic output value - could be regression or class label.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String output;

  /**
   * The input features for this instance.
   * @return value or {@code null} for none
   */
  public java.util.List<java.lang.Object> getCsvInstance() {
    return csvInstance;
  }

  /**
   * The input features for this instance.
   * @param csvInstance csvInstance or {@code null} for none
   */
  public Update setCsvInstance(java.util.List<java.lang.Object> csvInstance) {
    this.csvInstance = csvInstance;
    return this;
  }

  /**
   * The generic output value - could be regression or class label.
   * @return value or {@code null} for none
   */
  public java.lang.String getOutput() {
    return output;
  }

  /**
   * The generic output value - could be regression or class label.
   * @param output output or {@code null} for none
   */
  public Update setOutput(java.lang.String output) {
    this.output = output;
    return this;
  }

  @Override
  public Update set(String fieldName, Object value) {
    return (Update) super.set(fieldName, value);
  }

  @Override
  public Update clone() {
    return (Update) super.clone();
  }

}
